//
// Copyright © 2024 Hardcore Engineering Inc.
//
// Licensed under the Eclipse Public License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License. You may
// obtain a copy of the License at https://www.eclipse.org/legal/epl-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//
// See the License for the specific language governing permissions and
// limitations under the License.
//

import { type Builder } from '@hcengineering/model'

import core from '@hcengineering/core'
import guest from '@hcengineering/guest'
import serverCore from '@hcengineering/server-core'
import serverGuest from '@hcengineering/server-guest'

export { serverGuestId } from '@hcengineering/server-guest'

export function createModel (builder: Builder): void {
  builder.createDoc(serverCore.class.Trigger, core.space.Model, {
    trigger: serverGuest.trigger.OnPublicLinkCreate,
    txMatch: {
      _class: core.class.TxCreateDoc,
      objectClass: guest.class.PublicLink,
      'attributes.url': ''
    }
  })
}
